## EConfigLookupWorker

EConfigLookupWorker — Configuration lookup worker interface

## Functions

GQuark | e_config_lookup_worker_error_quark ()
const gchar * | e_config_lookup_worker_get_display_name ()
void | e_config_lookup_worker_run ()

## Types and Values

#define | E_CONFIG_LOOKUP_WORKER_ERROR
enum | EConfigLookupWorkerError

## Object Hierarchy

        GInterface
        ╰── EConfigLookupWorker

## Includes

    #include <e-util/e-util.h>

## Description

EConfigLookupWorker is an interface which runs the configuration look up.

## Functions

### e_config_lookup_worker_error_quark ()

    GQuark
    e_config_lookup_worker_error_quark (void);

### e_config_lookup_worker_get_display_name ()

    const gchar *
    e_config_lookup_worker_get_display_name
                                   (EConfigLookupWorker *lookup_worker);

#### Parameters

lookup_worker | an EConfigLookupWorker |

#### Returns

human readable display name of this `lookup_worker`

Since: 3.28

### e_config_lookup_worker_run ()

    void
    e_config_lookup_worker_run (EConfigLookupWorker *lookup_worker,
                                struct _EConfigLookup *config_lookup,
                                const ENamedParameters *params,
                                ENamedParameters **out_restart_params,
                                GCancellable *cancellable,
                                GError **error);

Runs actual configuration look up. This method is called from a dedicated thread.

When `out_restart_params` is not `NULL` at the end of the call, then it's saved for later re-run of the look up, in case the `error` indicates it can be restarted, by using appropriate EConfigLookupWorkerError.

#### Parameters

lookup_worker | an EConfigLookupWorker |
config_lookup | an EConfigLookup |
params | an ENamedParameters with additional parameters |
out_restart_params | optional ENamedParameters, used to pass when restart is requested. | [out]
cancellable | optional GCancellable object, or `NULL` |
error | return location for a GError, or `NULL` |

Since: 3.28

## Types and Values

### E_CONFIG_LOOKUP_WORKER_ERROR

    #define E_CONFIG_LOOKUP_WORKER_ERROR (e_config_lookup_worker_error_quark ())

An EConfigLookupWorker error domain, which can be used in `e_config_lookup_worker_run()`.

Since: 3.28

### enum EConfigLookupWorkerError

A set of possible errors in E_CONFIG_LOOKUP_WORKER_ERROR domain.

#### Members

E_CONFIG_LOOKUP_WORKER_ERROR_REQUIRES_PASSWORD | a password is required to continue |

E_CONFIG_LOOKUP_WORKER_ERROR_CERTIFICATE

there is an issue with server certificate; the error message contains description of the issue, the out_restart_params contains E_CONFIG_LOOKUP_PARAM_CERTIFICATE_PEM with the offending certificate and when the user sets a trust on the certificate it is passed back to the caller in the E_CONFIG_LOOKUP_PARAM_CERTIFICATE_TRUST parameters. Decode the trust value with `e_config_lookup_decode_certificate_trust()`

Since: 3.28